package com.logicbig.example;

import javax.ws.rs.Path;
import java.util.List;

@Path("employees")
public class EmployeeResource implements AppResource<Employee> {

    @Override
    public String create(Employee employee, long newId) {
        return EmployeeService.getInstance().create(employee, newId);
    }

    @Override
    public String delete(long id) {
        return EmployeeService.getInstance().delete(id);
    }

    @Override
    public String update(Employee employee) {
        return EmployeeService.getInstance().update(employee);
    }

    @Override
    public List<Employee> list() {
        return EmployeeService.getInstance().getEmployees();
    }

    @Override
    public Employee byId(long id) {
        return EmployeeService.getInstance().getEmployeeById(id);
    }
}