package com.logicbig.example;


import java.util.List;

public interface EmployeeService {

    static EmployeeService getInstance() {
        return InMemoryEmployeeService.Instance;
    }

    String create(Employee employee, long newId);

    String delete(long id);

    String update(Employee employee);

    List<Employee> getEmployees();

    Employee getEmployeeById(long id);
}